<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>15.0</VCProjectVersion>
    <ProjectGuid>{39E7CAED-8219-4E04-A6BA-AF9279ADBB6D}</ProjectGuid>
    <Keyword>Win32Proj</Keyword>
    <RootNamespace>NativeLib</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;NATIVELIB_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include\Internal</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>User32.lib;Psapi.lib;Ole32.lib;Shell32.lib;Gdi32.lib;RuntimeForStatic.lib</AdditionalDependencies>
      <AdditionalLibraryDirectories>$(MSBuildProjectDirectory)\..\RuntimeForStatic\LIB\X86_Debug</AdditionalLibraryDirectories>
      <ModuleDefinitionFile>NativeLib.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_UNICODE;UNICODE;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;_DEBUG;NATIVELIB_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include\Internal</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>User32.lib;Psapi.lib;Ole32.lib;Shell32.lib;Gdi32.lib;RuntimeForStatic.lib</AdditionalDependencies>
      <AdditionalLibraryDirectories>$(MSBuildProjectDirectory)\..\RuntimeForStatic\LIB\X64_Debug</AdditionalLibraryDirectories>
      <ModuleDefinitionFile>NativeLib.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_UNICODE;UNICODE;_WIN64;_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;NATIVELIB_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include\Internal</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>User32.lib;Psapi.lib;Ole32.lib;Shell32.lib;Gdi32.lib;RuntimeForStatic.lib</AdditionalDependencies>
      <AdditionalLibraryDirectories>$(MSBuildProjectDirectory)\..\RuntimeForStatic\LIB\X86_Release</AdditionalLibraryDirectories>
      <ModuleDefinitionFile>NativeLib.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_UNICODE;UNICODE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>Precompiled.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>WIN32;NDEBUG;NATIVELIB_EXPORTS;_WINDOWS;_USRDLL;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include\Internal</AdditionalIncludeDirectories>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalDependencies>User32.lib;Psapi.lib;Ole32.lib;Shell32.lib;Gdi32.lib;RuntimeForStatic.lib</AdditionalDependencies>
      <AdditionalLibraryDirectories>$(MSBuildProjectDirectory)\..\RuntimeForStatic\LIB\X64_Release</AdditionalLibraryDirectories>
      <ModuleDefinitionFile>NativeLib.def</ModuleDefinitionFile>
    </Link>
    <ResourceCompile>
      <AdditionalIncludeDirectories>$(MSBuildProjectDirectory)\Include;$(MSBuildProjectDirectory)\..\RuntimeForStatic\Include</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>_UNICODE;UNICODE;_WIN64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="DLL.h" />
    <ClInclude Include="Include\NLArgChecking.h" />
    <ClInclude Include="Include\NLArgChecking.PP.h" />
    <ClInclude Include="Include\NLDefs.h" />
    <ClInclude Include="Include\NLDefs.PP.h" />
    <ClInclude Include="Include\NLFailure.Fmt.h" />
    <ClInclude Include="Include\NLFailure.FmtVA.h" />
    <ClInclude Include="Include\NLFailure.PP.h" />
    <ClInclude Include="Include\NLHelpers.h" />
    <ClInclude Include="Include\NLHelpers.PP.h" />
    <ClInclude Include="Include\Error.api.h" />
    <ClInclude Include="Include\NLib.api.h" />
    <ClInclude Include="Include\NLFailure.h" />
    <ClInclude Include="Library.h" />
    <ClInclude Include="partition\LnkConverter.h" />
    <ClInclude Include="partition\SHLProps.api.h" />
    <ClInclude Include="partition\SHLProps.h" />
    <ClInclude Include="partition\SHLProps.PP.h" />
    <ClInclude Include="partition\SysUtils.api.h" />
    <ClInclude Include="partition\SysUtils.h" />
    <ClInclude Include="partition\SysUtils.PP.h" />
    <ClInclude Include="resource.h" />
    <ClInclude Include="Precompiled.h" />
    <ClInclude Include="SharedIncludes.h" />
    <ClInclude Include="VersionInfo.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="LnkConverter.api.cpp" />
    <ClCompile Include="LnkConverter.cpp" />
    <ClCompile Include="NLArgChecking.cpp" />
    <ClCompile Include="NLFailure.cpp" />
    <ClCompile Include="NLFailure.Fmt.cpp" />
    <ClCompile Include="NLFailure.FmtVA.cpp" />
    <ClCompile Include="NLFailure.SetError.cpp" />
    <ClCompile Include="NLib.api.cpp" />
    <ClCompile Include="PAccess.api.cpp" />
    <ClCompile Include="Precompiled.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="DLL.cpp" />
    <ClCompile Include="LIB.cpp" />
    <ClCompile Include="NLHelpers.cpp" />
    <ClCompile Include="SHLProps.api.cpp" />
    <ClCompile Include="SHLProps.cpp" />
    <ClCompile Include="SHLProps.Get.api.cpp" />
    <ClCompile Include="SHLProps.Set.api.cpp" />
    <ClCompile Include="SHLPropsHnd.cpp" />
    <ClCompile Include="SysUtils.api.cpp" />
    <ClCompile Include="SysUtils.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="Library.rc" />
    <ResourceCompile Include="VersionInfo.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="CSharp\NativeLib.API\NativeLib.cs" />
    <None Include="CSharp\NativeLib.API\PAccessNL.cs" />
    <None Include="CSharp\NativeLib.API\SHLPropsNL.cs" />
    <None Include="CSharp\NativeLib.API\SysUtilsNL.cs" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
    <Import Project="NativeLib.vcxproj.targets" />
  </ImportGroup>
</Project>